<!-- OLD FUNCTIONS ! - should be removed later -->
{% extends 'order/order_detail_base.html' %}
{% load static %}


{% block content %}
  <div id="box" class="box box_card box_l">
    <div v-for="(ppk, index) in objects" class="criterion" v-cloak>
      <div class="criterion__header">
        <h2 class="criterion__title">${ index + 1 }. ${ getAutoName(ppk) }</h2>
        <div class="criterion__controls">
          <div class="dropdown">
            <div class="dropdown__control" @click="openDropdown">
              <div class="btn btn_m btn_square btn_default">
                <div class="btn__icon icon icon_m">
                  <svg>
                    <use xlink:href="#icon_menu_24"></use>
                  </svg>
                </div>
              </div>
            </div>
            <div class="dropdown__content">
              <div class="menu-controls">

                {% if perms.service.change_podborauto %}
                  <div class="menu-controls__item"><a class="menu-controls__link" :href="'/podbor-edit/' + ppk.id">Редактировать </a></div>
                {% endif %}
                {% if perms.service.add_podborauto %}
                  <div class="menu-controls__item"><a class="menu-controls__link" :href="'/podbor-copy/' + '{{ order.id }}/' + ppk.id">Копировать</a></div>
                {% endif %}
                {% if perms.service.delete_podborauto %}
                  <div class="menu-controls__item"><a class="menu-controls__link" style="cursor: pointer;" @click="removeObject(ppk)">Удалить</a></div>
                {% endif %}
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="criterion__body">
        <div class="data-table data-table_default">
          <div class="data-table__item">
            <div class="data-table__var">Год выпуска</div>
            <div class="data-table__val">oт ${ ppk.year_auto.lower } - до ${ ppk.year_auto.upper }
            </div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Пробег</div>
            <div class="data-table__val">${ ppk.mileage }</div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Комплектация</div>
            <div class="data-table__val">${ ppk.equipment }</div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Бюджет</div>
            <div class="data-table__val">${ ppk.cost }</div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Кол-во владельцев</div>
            <div class="data-table__val">${ ppk.number_of_hosts } </div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Кузов</div>
            <div class="data-table__val"><div v-for="body_type in ppk.body_type_auto">${ body_type.name }</div></div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Цвет</div>
            <div class="data-table__val"><div v-for="color_auto in ppk.color_auto">${ color_auto }</div></div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Двигатель</div>
            <div class="data-table__val"><div v-for="engine_type in ppk.engine_type">${ engine_type }</div></div>
          </div>
          <div v-if="ppk.engine_capacity" class="data-table__item">
            <div class="data-table__var">Объём</div>
            <div class="data-table__val">от ${ ppk.engine_capacity.lower ? ppk.engine_capacity.lower : 0 } л. до ${ ppk.engine_capacity.upper > 0 ? ppk.engine_capacity.upper + ' л.' : 'не важно' }</div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Мощность</div>
            <div class="data-table__val">oт {{ horsepower_lower }} - до {{ horsepower_upper }}</div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Трансмиссия</div>
            <div class="data-table__val"><div v-for="transmission_type in ppk.transmission_type">${ transmission_type }</div></div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Привод</div>
            <div class="data-table__val"><div v-for="drive_type in ppk.drive_type">${ drive_type }</div></div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Салон</div>
            <div class="data-table__val"><div v-for="salon_auto in ppk.salon_auto">${ salon_auto }</div></div>
          </div>
          <div class="data-table__item">
            <div class="data-table__var">Цвет салона</div>
            <div class="data-table__val"><div v-for="color_salon in ppk.color_salon">${ color_salon }</div></div>
          </div>
        </div>
      </div>
      <div v-if="ppk.comment" class="criterion__comment editor">
        <p>${ ppk.comment }</p>
      </div>
      <hr v-if="index < objects.length - 1">
    </div>
  </div>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script>
    var store = { state: {}};
  </script>
  <script src="{% static 'js/orderppklist.bundle.js' %}"></script>
{% endblock %}
